Agent heartbeat
POST
/k8s/agents/heartbeat
const url = 'https://shoehorn.example.com/api/v1/k8s/agents/heartbeat';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cluster_id":"example","agent_version":"example","node_count":1,"pod_count":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/k8s/agents/heartbeat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cluster_id": "example", "agent_version": "example", "node_count": 1, "pod_count": 1 }'Called periodically by the agent to indicate it is alive.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
cluster_id
required
string
agent_version
string
node_count
integer
pod_count
integer
Example generated
{ "cluster_id": "example", "agent_version": "example", "node_count": 1, "pod_count": 1}Responses
Section titled “ Responses ”Heartbeat acknowledged